package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.LoginLogMapper;
import com.sa.ibiz.demo.demo.domain.LoginLog;
import com.sa.ibiz.demo.demo.service.LoginLogService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.LoginLogSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;

import com.sa.ibiz.demo.demo.service.LoginAccountService;

/**
 * 实体[LoginLog] 服务对象接口实现
 */
@Service
public class LoginLogServiceImpl extends ServiceImplBase<LoginLogMapper, LoginLog> implements LoginLogService{

    @Autowired
    private LoginAccountService loginaccountService;

    @Resource
    private LoginLogMapper loginlogMapper;


    @Override
    public boolean create(LoginLog et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(LoginLog et){
        this.beforeUpdate(et);
		this.loginlogMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(LoginLog et){
		return et.getLoginlogid();  
    }

    @Override
    public boolean getDraft(LoginLog et)  {
    if((!StringUtils.isEmpty(et.getLoginaccountid())) && et.getLoginaccount() == null){
            try {
                et.setLoginaccount(loginaccountService.getById(et.getLoginaccountid()));
            }catch (Exception ex){}
        }
            return true;
    }

	public List<LoginLog> listDefault(LoginLogSearchFilter filter) {
		return loginlogMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<LoginLog> searchDefault(LoginLogSearchFilter filter) {
		return loginlogMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return loginlogMapper.selectRow(sql);
    }

 }